return {
	'neovim/nvim-lspconfig',
	event = {
		'BufReadPre',
		'BufNewFile',
	},
	config = function()
		local lspconfig = require('lspconfig')
		local capabilities = require('cmp_nvim_lsp').default_capabilities()

		lspconfig.pyright.setup {
			capabilities = capabilities,
		}
		lspconfig.tsserver.setup {
			capabilities = capabilities,
		}
		lspconfig.rust_analyzer.setup {
			capabilities = capabilities,
			settings     = {
				['rust-analyzer'] = {},
			}                          ,
		}
	end
}
